Bug 510629 - snd_hda_intel + pulseaudio = many volume control problems
snd_hda_intel + pulseaudio = many volume control problems
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: AlsaVolume
  Show dependency treegraph
 
Reported: 2009-07-09 18:00 EDT by Tomasz Chrzczonowicz
Modified: 2009-07-15 17:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 17:08:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alsa-info (20.88 KB, text/plain)
2009-07-09 18:00 EDT, Tomasz Chrzczonowicz
no flags Details

  None (edit)
Description Tomasz Chrzczonowicz 2009-07-09 18:00:07 EDT
Created attachment 351193 [details]
alsa-info

Description of problem:

1. The general system sound gets adjusted according to the sound set in the last app that played sound using PulseAudio, or, when there are more than one running concurrently, the one that had its sound last changed. For instance, if I enable window and button sounds, when those sounds play the general system volume gest adjusted according to their volume.

2. Setting up sound on per application basis seems flawed. When I move a volume slider in an application (when it plays sound), the general PulseAudio and ALSA sound levels are raised/lowered, only exponentially. I.E. if I raise the volume in e.g Rhythmbox from 0% to several %, the PulseAudio and ALSA sound levels get almost maxed out.

If the application is not playing sound, when when its volume is changed, then the general sound levels of PulseAudio and ALSA remain unchanged.

3. Sometimes the Pulse Audio volume slider in notification area stays at 100% when moved manually but doesn't affect system volume and doesn't mean it's maxed out. Pulse Audio is still running and it's volume level can still be adjusted from pavucontrol and gnome-volume-control, but the slider in notification area doesn't reflect the changes.

4. Most of the time Pulse Audio volume slider adjusts the general system volume, but in a weird manner, i.e. when it's at around 45% and below, the ALSA volume level is muted. When the Pulse Audio volume slider is turned up above that level, the ALSA volume level gets adjusted exponentially.

5. Sometimes muting an application doesn't work, i.e. there is a mute icon displayed but the app is not muted

6. See bug: https://bugzilla.redhat.com/show_bug.cgi?id=510600

Version-Release number of selected component (if applicable):

alsa-plugins-pulseaudio.i586        1.0.18-3.fc11             installed         
pulseaudio.i586                     0.9.15-14.fc11            installed         
pulseaudio-debuginfo.i586           0.9.15-14.fc11           @updates-debuginfo
pulseaudio-esound-compat.i586       0.9.15-14.fc11            installed         
pulseaudio-libs.i586                0.9.15-14.fc11            installed         
pulseaudio-libs-glib2.i586          0.9.15-14.fc11            installed         
pulseaudio-libs-zeroconf.i586       0.9.15-14.fc11            @updates          
pulseaudio-module-bluetooth.i586    0.9.15-14.fc11            installed         
pulseaudio-module-gconf.i586        0.9.15-14.fc11            installed         
pulseaudio-module-jack.i586         0.9.15-14.fc11            @updates          
pulseaudio-module-x11.i586          0.9.15-14.fc11            installed         
pulseaudio-utils.i586               0.9.15-14.fc11            installed         

alsa-lib.i586                              1.0.20-1.fc11              installed
alsa-plugins-pulseaudio.i586               1.0.18-3.fc11              installed
alsa-utils.i586                            1.0.20-3.fc11              installed
bluez-alsa.i586                            4.37-2.fc11                installed

Expected results:

Different applications can have different volume levels without interfering with the main volume level of Pulse Audio / ALSA or one another.

If changing Pulse Audio volume level is supposed to adjust ALSA volume level as well, those two should be streamlined. Otherwise each shouldn't affect the other.

Additional info:

My smolt profile: http://www.smolts.org/show?uuid=pub_6566df0c-e8ae-41c6-ac3b-de190be345c7
Comment 1 Eric Donkersloot 2009-07-14 10:16:56 EDT
I have also most of the described issues, noticeably 1,2 & 4:

Installed Packages
alsa-plugins-pulseaudio.x86_64            1.0.20-2.fc11         @updates        
pulseaudio.x86_64                         0.9.15-14.fc11        @updates-testing
pulseaudio-esound-compat.x86_64           0.9.15-14.fc11        @updates        
pulseaudio-libs.x86_64                    0.9.15-14.fc11        @updates-testing
pulseaudio-libs-glib2.x86_64              0.9.15-14.fc11        @updates-testing
pulseaudio-libs-zeroconf.x86_64           0.9.15-14.fc11        @updates        
pulseaudio-module-bluetooth.x86_64        0.9.15-14.fc11        @updates-testing
pulseaudio-module-gconf.x86_64            0.9.15-14.fc11        @updates-testing
pulseaudio-module-x11.x86_64              0.9.15-14.fc11        @updates-testing
pulseaudio-module-zeroconf.x86_64         0.9.15-14.fc11        @updates        
pulseaudio-utils.x86_64                   0.9.15-14.fc11        @updates-testing

alsa-lib.x86_64                             1.0.20-1.fc11              installed
alsa-plugins-pulseaudio.x86_64              1.0.20-2.fc11              @updates 
alsa-utils.x86_64                           1.0.20-3.fc11              installed
Comment 2 Adam Williamson 2009-07-15 17:08:35 EDT
As you say, these are multiple issues. They cannot be addressed sensibly in a single report. Please split them into separate reports.

None of them fits the criteria for a bug that should block AlsaVolume. That bug is NOT a tracker issue for 'any problem with sound', it is a tracker for a very specific type of bug (as explained in its comments).

Point 1 is not a bug, it is the intended functionality of recent PA releases (it's called 'flat volumes').

Please report each of your other issues separately (and don't mark them as blocking AlsaVolume). I'm closing this report as it'd just get too messy, but this doesn't mean we don't want your reports, just please structure them correctly :) thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.